<?php
namespace Geral\Repositories;

class Itemautf extends \Doctrine\ORM\EntityRepository
{
    public static function retornaValorTotalAf($cdfillanc, $cdfildest, $nrautoforn, $nrorg)
    {
        $conn = \Setforms2\Runtime\Connection::getInstance();

        $query = "SELECT
                    SUM(VRPRODUTO)            -
                    NVL(SUM(VRDESCONTO), 0)   +
                    NVL(SUM(VRIMPOSTO), 0)    AS VRTOTALAF
                  FROM
                    (SELECT
                      SUM(ITEMAUTF.QTPROGENTAF * ITEMAUTF.VRPREUNIAF)                                     AS VRPRODUTO,
                      SUM((ITEMAUTF.QTPROGENTAF * ITEMAUTF.VRPREUNIAF * ITEMAUTF.VRPERDESAF) / 100)       AS VRDESCONTO,
                      SUM(0)                                                                              AS VRIMPOSTO
                    FROM
                      ITEMAUTF
                    WHERE
                      ITEMAUTF.CDFILDEST   = '$cdfildest'    AND
                      ITEMAUTF.CDFILLANC   = '$cdfillanc'     AND
                      ITEMAUTF.NRAUTOFORN  = '$nrautoforn'   AND
                      ITEMAUTF.NRORG       = $nrorg

                    UNION

                    SELECT
                      SUM(0)                  AS VRPRODUTO,
                      SUM(0)                  AS VRDESCONTO,
                      SUM(IMPITMAF.VRADIMPAF) AS VRIMPOSTO
                    FROM
                      IMPITMAF,
                      ITEMAUTF
                    WHERE
                      IMPITMAF.CDFILDEST   = '$cdfildest'         AND
                      IMPITMAF.CDFILLANC   = '$cdfillanc'          AND
                      IMPITMAF.NRAUTOFORN  = '$nrautoforn'        AND
                      IMPITMAF.NRORG       = $nrorg               AND
                      IMPITMAF.CDFILDEST   = ITEMAUTF.CDFILDEST   AND
                      IMPITMAF.CDFILLANC   = ITEMAUTF.CDFILLANC   AND
                      IMPITMAF.NRAUTOFORN  = ITEMAUTF.NRAUTOFORN  AND
                      IMPITMAF.CDPRODUTO   = ITEMAUTF.CDPRODUTO   AND
                      IMPITMAF.CDMARCA     = ITEMAUTF.CDMARCA     AND
                      IMPITMAF.DTPROGENTAF = ITEMAUTF.DTPROGENTAF AND
                      IMPITMAF.NRORG       = ITEMAUTF.NRORG
                    )
        ";

        $result = $conn->fetchAll($query);

        return $result;

    }

    public function findByProduto($cdfilial, $cdfildest, $cdprodesto, $nrautoforn){
        $sql = <<<SQL
          SELECT CDMARCA, DTPROGENTAF,NRAUTOFORN,(QTPROGENTAF - NVL(QTEFETENTRAF, 0)) AS QTPROGENTAF,P.CDPRODUTO,CDFILLANC,CDFILDEST, VRPREUNIAF
            FROM ITEMAUTF I, PRODUTO P
           WHERE I.CDFILLANC   = :P_CDFILIAL
             AND I.CDFILDEST   = :P_CDFILDEST
             AND I.NRAUTOFORN  = :P_NRAUTOFORN
             AND P.CDPRODESTO  = :P_CDPRODESTO
             AND (IDBAIXITMAF NOT IN ('2','3') OR IDBAIXITMAF IS NULL)
             AND (QTPROGENTAF - NVL(QTEFETENTRAF, 0)) > 0
             AND I.CDPRODUTO = P.CDPRODUTO
        ORDER BY I.DTPROGENTAF
SQL;
        $params = array(
          'P_CDFILIAL' => $cdfilial,
          'P_CDFILDEST' => $cdfildest,
          'P_NRAUTOFORN' => $nrautoforn,
          'P_CDPRODESTO' => $cdprodesto
        );

        return $this->getEntityManager()->getConnection()->fetchAll($sql, $params);

    }
}