/*
 NOME: NOTAFISCAL_PESSDOC

 DESCRIO:
 VIEW PARA RETORNO DOS DADOS DA NOTA FISCAL.

 CRIAO:
 19/01/2004 - ROBERTO A. LOPES MARTINS

 @C:\WIN_V4\SQL\END_CONV\ORACLE\5600_FISVIEO.SQL
 RAISE_APPLICATION_ERROR(-20501, '' , TRUE);
*/

CREATE OR REPLACE VIEW NOTAFISCAL_PESDOC AS
   SELECT N.CDFILIAL, N.NRLANCTONF, N.CDEMPRESA, N.CDINSCESTA, N.CDINSCMUNI, N.IDTPIJURNF,
          N.NRINSJURNF, N.CDFORNECED, N.CDCLIENTE, N.IDERROS, N.IDAVISOS, N.IDBLOQUEADO,
          N.IDDOCFISCAL, N.IDDOCFINANC, N.NRNOTAFISC, N.DTEMISSAO, N.DTENTRSAID, N.VRPRODUTOS,
          N.VRNOTAFISC, N.DTINIAPUFISC, N.DTAPROVACAO, N.CDOPERAPRO, N.DTCONTABIL, N.NRPLACAVEIC,
          N.SGUFVEIC, N.IDPGTOFRETE, N.DSQTDEVOLU, N.DSESPECVOLU, N.DSMARCAVOLU, N.DSNUMEVOLU,
          N.VRPBRUTOVOLU, N.VRPLIQUVOLU, N.IDENTRSAIDOP, N.CDTIPOOPER, N.CDSERIE, N.IDTPIJURTRAN,
          N.NRINSJURTRAN, N.VRTTMOEDESTR, N.CDFISOPENTF, N.DSCDFISOPENF, N.IDDOCCONTAB, N.IDSTATUS,
          N.NRLANCTBDOC, N.NRAPURACFAT, N.IDDOCFATUR, N.IDDOCFISCENT, N.IDDOCFISCSAI, N.IDDOCESTOQUE,
          N.CDSERIEEMIS, N.IDSISTEMA, N.CDMODDOCFISC, N.CDSERIEENTR, N.CDINTEGRACAO, N.CDFILIAPFATU,
          N.NRAPFATUTNF, N.NRMRDPAPUR, N.IDORIGDESTNF, N.IDDOCREPLIC, N.NRLICENCAUSO, N.CDFILIALDUP,
          N.NRLANCTODUP, N.DTSAIDEMIS, N.NRLANCTBAJUS, N.NRAVISOENTR, N.DTEXPORTACAO, N.NRNOTACRED,
          N.CDFILIMATRIC, N.CDTURMAPER, N.NRSEQTURPER, N.NRMATRICULA, N.CDFILESTAGIO, N.CDESTAGIO,
          N.CDFILIEMIT, N.CDFILIRECE, N.NRCTRLNFCMP, N.CDAUTDESPESA, N.CDALMOXARIFE, N.CDLOCALESTOQ,
          N.CDVENDEDOR, N.DTLANCAMENNF, N.DTEMISDOCUAR, N.IDGEROUTDOCU, N.NREXPEDICAO, N.CDROTATRANS,
          N.NRNOTADEVOL, N.CDOPERGERA, N.VRDEVOLNFUTL, N.DTCOMPFATUR,
          C.NMRAZSOCCLIE AS NMRAZSOCNF, C.NMFANTCLIE AS NMFANTNF
   FROM NOTAFISCAL N, CLIENTE C
   WHERE N.CDCLIENTE = C.CDCLIENTE AND
         NVL(IDORIGDESTNF, DECODE(N.IDENTRSAIDOP, 'S', 'C', 'F')) = 'C'
   UNION ALL
   SELECT N.CDFILIAL, N.NRLANCTONF, N.CDEMPRESA, N.CDINSCESTA, N.CDINSCMUNI, N.IDTPIJURNF,
          N.NRINSJURNF, N.CDFORNECED, N.CDCLIENTE, N.IDERROS, N.IDAVISOS, N.IDBLOQUEADO,
          N.IDDOCFISCAL, N.IDDOCFINANC, N.NRNOTAFISC, N.DTEMISSAO, N.DTENTRSAID, N.VRPRODUTOS,
          N.VRNOTAFISC, N.DTINIAPUFISC, N.DTAPROVACAO, N.CDOPERAPRO, N.DTCONTABIL, N.NRPLACAVEIC,
          N.SGUFVEIC, N.IDPGTOFRETE, N.DSQTDEVOLU, N.DSESPECVOLU, N.DSMARCAVOLU, N.DSNUMEVOLU,
          N.VRPBRUTOVOLU, N.VRPLIQUVOLU, N.IDENTRSAIDOP, N.CDTIPOOPER, N.CDSERIE, N.IDTPIJURTRAN,
          N.NRINSJURTRAN, N.VRTTMOEDESTR, N.CDFISOPENTF, N.DSCDFISOPENF, N.IDDOCCONTAB, N.IDSTATUS,
          N.NRLANCTBDOC, N.NRAPURACFAT, N.IDDOCFATUR, N.IDDOCFISCENT, N.IDDOCFISCSAI, N.IDDOCESTOQUE,
          N.CDSERIEEMIS, N.IDSISTEMA, N.CDMODDOCFISC, N.CDSERIEENTR, N.CDINTEGRACAO, N.CDFILIAPFATU,
          N.NRAPFATUTNF, N.NRMRDPAPUR, N.IDORIGDESTNF, N.IDDOCREPLIC, N.NRLICENCAUSO, N.CDFILIALDUP,
          N.NRLANCTODUP, N.DTSAIDEMIS, N.NRLANCTBAJUS, N.NRAVISOENTR, N.DTEXPORTACAO, N.NRNOTACRED,
          N.CDFILIMATRIC, N.CDTURMAPER, N.NRSEQTURPER, N.NRMATRICULA, N.CDFILESTAGIO, N.CDESTAGIO,
          N.CDFILIEMIT, N.CDFILIRECE, N.NRCTRLNFCMP, N.CDAUTDESPESA, N.CDALMOXARIFE, N.CDLOCALESTOQ,
          N.CDVENDEDOR, N.DTLANCAMENNF, N.DTEMISDOCUAR, N.IDGEROUTDOCU, N.NREXPEDICAO, N.CDROTATRANS,
          N.NRNOTADEVOL, N.CDOPERGERA, N.VRDEVOLNFUTL, N.DTCOMPFATUR,
          F.NMRAZSOCFORN AS NMRAZSOCNF, F.NMFANTFORN AS NMFANTNF
   FROM NOTAFISCAL N, FORNECEDOR F
   WHERE N.CDFORNECED = F.CDFORNECED AND
         NVL(IDORIGDESTNF, DECODE(N.IDENTRSAIDOP, 'S', 'C', 'F')) = 'F'
   UNION ALL
   SELECT N.CDFILIAL, N.NRLANCTONF, N.CDEMPRESA, N.CDINSCESTA, N.CDINSCMUNI, N.IDTPIJURNF,
          N.NRINSJURNF, N.CDFORNECED, N.CDCLIENTE, N.IDERROS, N.IDAVISOS, N.IDBLOQUEADO,
          N.IDDOCFISCAL, N.IDDOCFINANC, N.NRNOTAFISC, N.DTEMISSAO, N.DTENTRSAID, N.VRPRODUTOS,
          N.VRNOTAFISC, N.DTINIAPUFISC, N.DTAPROVACAO, N.CDOPERAPRO, N.DTCONTABIL, N.NRPLACAVEIC,
          N.SGUFVEIC, N.IDPGTOFRETE, N.DSQTDEVOLU, N.DSESPECVOLU, N.DSMARCAVOLU, N.DSNUMEVOLU,
          N.VRPBRUTOVOLU, N.VRPLIQUVOLU, N.IDENTRSAIDOP, N.CDTIPOOPER, N.CDSERIE, N.IDTPIJURTRAN,
          N.NRINSJURTRAN, N.VRTTMOEDESTR, N.CDFISOPENTF, N.DSCDFISOPENF, N.IDDOCCONTAB, N.IDSTATUS,
          N.NRLANCTBDOC, N.NRAPURACFAT, N.IDDOCFATUR, N.IDDOCFISCENT, N.IDDOCFISCSAI, N.IDDOCESTOQUE,
          N.CDSERIEEMIS, N.IDSISTEMA, N.CDMODDOCFISC, N.CDSERIEENTR, N.CDINTEGRACAO, N.CDFILIAPFATU,
          N.NRAPFATUTNF, N.NRMRDPAPUR, N.IDORIGDESTNF, N.IDDOCREPLIC, N.NRLICENCAUSO, N.CDFILIALDUP,
          N.NRLANCTODUP, N.DTSAIDEMIS, N.NRLANCTBAJUS, N.NRAVISOENTR, N.DTEXPORTACAO, N.NRNOTACRED,
          N.CDFILIMATRIC, N.CDTURMAPER, N.NRSEQTURPER, N.NRMATRICULA, N.CDFILESTAGIO, N.CDESTAGIO,
          N.CDFILIEMIT, N.CDFILIRECE, N.NRCTRLNFCMP, N.CDAUTDESPESA, N.CDALMOXARIFE, N.CDLOCALESTOQ,
          N.CDVENDEDOR, N.DTLANCAMENNF, N.DTEMISDOCUAR, N.IDGEROUTDOCU, N.NREXPEDICAO, N.CDROTATRANS,
          N.NRNOTADEVOL, N.CDOPERGERA, N.VRDEVOLNFUTL, N.DTCOMPFATUR,
          F.NMRAZSOCFILI AS NMRAZSOCNF, F.NMFILIAL AS NMFANTNF
   FROM NOTAFISCAL N, FILIAL F
   WHERE N.CDFILIRECE   = F.CDFILIAL AND
         N.IDORIGDESTNF = 'L'        AND
         N.IDENTRSAIDOP = 'S'
   UNION ALL
   SELECT N.CDFILIAL, N.NRLANCTONF, N.CDEMPRESA, N.CDINSCESTA, N.CDINSCMUNI, N.IDTPIJURNF,
          N.NRINSJURNF, N.CDFORNECED, N.CDCLIENTE, N.IDERROS, N.IDAVISOS, N.IDBLOQUEADO,
          N.IDDOCFISCAL, N.IDDOCFINANC, N.NRNOTAFISC, N.DTEMISSAO, N.DTENTRSAID, N.VRPRODUTOS,
          N.VRNOTAFISC, N.DTINIAPUFISC, N.DTAPROVACAO, N.CDOPERAPRO, N.DTCONTABIL, N.NRPLACAVEIC,
          N.SGUFVEIC, N.IDPGTOFRETE, N.DSQTDEVOLU, N.DSESPECVOLU, N.DSMARCAVOLU, N.DSNUMEVOLU,
          N.VRPBRUTOVOLU, N.VRPLIQUVOLU, N.IDENTRSAIDOP, N.CDTIPOOPER, N.CDSERIE, N.IDTPIJURTRAN,
          N.NRINSJURTRAN, N.VRTTMOEDESTR, N.CDFISOPENTF, N.DSCDFISOPENF, N.IDDOCCONTAB, N.IDSTATUS,
          N.NRLANCTBDOC, N.NRAPURACFAT, N.IDDOCFATUR, N.IDDOCFISCENT, N.IDDOCFISCSAI, N.IDDOCESTOQUE,
          N.CDSERIEEMIS, N.IDSISTEMA, N.CDMODDOCFISC, N.CDSERIEENTR, N.CDINTEGRACAO, N.CDFILIAPFATU,
          N.NRAPFATUTNF, N.NRMRDPAPUR, N.IDORIGDESTNF, N.IDDOCREPLIC, N.NRLICENCAUSO, N.CDFILIALDUP,
          N.NRLANCTODUP, N.DTSAIDEMIS, N.NRLANCTBAJUS, N.NRAVISOENTR, N.DTEXPORTACAO, N.NRNOTACRED,
          N.CDFILIMATRIC, N.CDTURMAPER, N.NRSEQTURPER, N.NRMATRICULA, N.CDFILESTAGIO, N.CDESTAGIO,
          N.CDFILIEMIT, N.CDFILIRECE, N.NRCTRLNFCMP, N.CDAUTDESPESA, N.CDALMOXARIFE, N.CDLOCALESTOQ,
          N.CDVENDEDOR, N.DTLANCAMENNF, N.DTEMISDOCUAR, N.IDGEROUTDOCU, N.NREXPEDICAO, N.CDROTATRANS,
          N.NRNOTADEVOL, N.CDOPERGERA, N.VRDEVOLNFUTL, N.DTCOMPFATUR,
          F.NMRAZSOCFILI AS NMRAZSOCNF, F.NMFILIAL AS NMFANTNF
   FROM NOTAFISCAL N, FILIAL F
   WHERE N.CDFILIEMIT   = F.CDFILIAL AND
         N.IDORIGDESTNF = 'L'        AND
         N.IDENTRSAIDOP = 'E'
/